Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.traceReconstruction
Class TraceProcessingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              kieker.analysis.exception.EventProcessingException
                  kieker.tools.traceAnalysis.filter.traceReconstruction.TraceProcessingException

All Implemented Interfaces:
  Serializable

    public class TraceProcessingException

extends EventProcessingException

This exceptions shows that something went wrong during the processing of a trace.

Since:
  1.1
Author:
  Andre van Hoorn
See Also:
  Serialized Form

Constructor Summary
`TraceProcessingException(String msg)` Creates a new instance of this class using the given parameters.
`TraceProcessingException(String msg, Throwable t)` Creates a new instance of this class using the given parameters.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TraceProcessingException

    public TraceProcessingException(String msg)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `msg` - The message of this exception.

### TraceProcessingException

    public TraceProcessingException(String msg,
                                    Throwable t)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `msg` - The message of this exception.
    `t` - The cause of this exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net